commit:     d074cad32b553e4d0cd088e60e21f93f685554e4
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 26 06:11:51 2025 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Sep 26 06:11:51 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d074cad3

dev-ml/tiny_httpd: add 0.19

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/tiny_httpd/Manifest                         |  1 +
 .../tiny_httpd/files/tiny_httpd-0.19-noseq.patch   | 31 +++++++++++++
 dev-ml/tiny_httpd/tiny_httpd-0.19.ebuild           | 53 ++++++++++++++++++++++
 3 files changed, 85 insertions(+)

diff --git a/dev-ml/tiny_httpd/Manifest b/dev-ml/tiny_httpd/Manifest
index b4eeafb056bd..1a0d60209937 100644
--- a/dev-ml/tiny_httpd/Manifest
+++ b/dev-ml/tiny_httpd/Manifest
@@ -1,2 +1,3 @@
 DIST tiny_httpd-0.16.tar.gz 66034 BLAKE2B 
5bbbe87f48b19c2c8519d4c109e2b9eaef0ca5c42f77acdad8f6a216a23f59a68121d03d1ab95762999cb0f7089e0eee36ac0ed11151bbb72d4b9c5ab4314500
 SHA512 
fea483b931c1431117f7a1d3244749f856982e440d20b64a8d7c6fd841398eec3c7f91afaece707b5a35c0b332a06dde6464337aa1ac7b757f7952047981b130
 DIST tiny_httpd-0.17.0.tar.gz 93730 BLAKE2B 
f5764bbc224ef3e0f2eaf25771935149ec86f38cdac8e19cc7114d361948f54d3fbbd2c3729a3e3043131b6c7461f6a00ac0d51d409672a242826fe9e1e849a5
 SHA512 
a891b7920c8b92f1c800e7add57bf1dea20bec3e364af66ea5dda5e46abd9d10dfe4d026a8d76c127761f63a9563df35473bd8df2e8b4f5ed692f7f6a3570f64
+DIST tiny_httpd-0.19.tar.gz 100938 BLAKE2B 
01fb06b20627cce48af81db2e5a306e8881d59786580587c3247da4c18786767582269f998a129c3c7688509cfd7fd256589ff509e29240151423a2f572d7575
 SHA512 
3e8441396bfbeedd2ba44bfb4b759290506ffb58b7bd02fdbbedf6aa8e8975118422c6c9c45643c0ff4b29ede290f596bddcddb35071d2a11b62be82320227e0

diff --git a/dev-ml/tiny_httpd/files/tiny_httpd-0.19-noseq.patch 
b/dev-ml/tiny_httpd/files/tiny_httpd-0.19-noseq.patch
new file mode 100644
index 000000000000..47b19279154e
--- /dev/null
+++ b/dev-ml/tiny_httpd/files/tiny_httpd-0.19-noseq.patch
@@ -0,0 +1,31 @@
+--- a/src/dune 2024-10-20 18:15:24.137632115 +0200
++++ b/src/dune 2024-10-20 18:15:39.144450132 +0200
+@@ -4,7 +4,6 @@
+  (flags :standard -open Tiny_httpd_core)
+  (libraries
+   threads
+-  seq
+   unix
+   hmap
+   (re_export tiny_httpd.core)
+--- a/src/core/dune    2024-10-21 12:06:33.365496763 +0200
++++ b/src/core/dune    2024-10-21 12:06:48.673307538 +0200
+@@ -4,7 +4,6 @@
+  (private_modules parse_ common_)
+  (libraries
+   threads
+-  seq
+   hmap
+   iostream
+   (select
+--- a/src/html/dune    2024-10-21 12:07:25.727849443 +0200
++++ b/src/html/dune    2024-10-21 12:07:39.004685307 +0200
+@@ -2,7 +2,7 @@
+  (name tiny_httpd_html)
+  (public_name tiny_httpd.html)
+  (flags :standard -open Tiny_httpd_core)
+- (libraries seq tiny_httpd.core))
++ (libraries tiny_httpd.core))
+ 
+ (rule
+  (targets html_.ml)

diff --git a/dev-ml/tiny_httpd/tiny_httpd-0.19.ebuild 
b/dev-ml/tiny_httpd/tiny_httpd-0.19.ebuild
new file mode 100644
index 000000000000..63579b4bd072
--- /dev/null
+++ b/dev-ml/tiny_httpd/tiny_httpd-0.19.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune multiprocessing
+
+DESCRIPTION="Minimal HTTP server with a small request router"
+HOMEPAGE="
+       https://github.com/c-cube/tiny_httpd
+       https://opam.ocaml.org/packages/tiny_httpd
+"
+SRC_URI="https://github.com/c-cube/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="camlzip ocamlopt test"
+
+RDEPEND="
+       >=dev-lang/ocaml-4.08
+       dev-ml/hmap:=
+       dev-ml/iostream:=[ocamlopt?]
+       dev-ml/logs:=[ocamlopt?]
+       dev-ml/result:=[ocamlopt?]
+       camlzip? ( >=dev-ml/camlzip-1.06:=[ocamlopt?] )
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               dev-ml/qtest
+               dev-ml/ounit2
+               dev-ml/ptime
+               dev-ml/qcheck
+               net-misc/curl
+       )
+"
+
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( camlzip )"
+
+PATCHES=( "${FILESDIR}"/${P}-noseq.patch )
+
+src_compile() {
+       local pkgs="tiny_httpd"
+       use camlzip && pkgs="${pkgs},tiny_httpd_camlzip"
+       dune build -p "${pkgs}" -j $(makeopts_jobs) || die
+}
+
+src_install() {
+       dune_src_install tiny_httpd
+       use camlzip && dune_src_install "tiny_httpd_camlzip"
+}

Reply via email to